# Stage 2

Alright, let's focus on the second stage.

Recalling the story we wrote at the start of this guide, we can see that the second stage is

```
== Stage 2 ==

{If User Has 5 Oak Logs}
    Julian - Just what I needed, thank you! I need some pine logs too, do you mind getting those for me too?
    {Continue Check}
        {Take 5 Oak Logs from User Inventory}
        {Update Quest with Text "Get 5 pine logs"}
        {Switch to Stage 3}
{Else}
    Julian - Have you gotten the oak logs yet?
```

## Building the stage

In the quest block, let's focus on the `New Stage: 2` block as this is our second stage.

Starting out, drag an [`if block`](/quest-editor/guides/index/stage-2.md) from the `Logic` tab to the workspace and edit it to have an `else` block by clicking the cogwheel icon and dragging an `else` block from the gray area to the `if` block, then clicking the cogwheel to close it again.

![If Else](/files/-LNk3W9ttVE4L4WvfEOB)

After this, attach a [`Has Item`](/quest-editor/quest-blocks/has_item.md) block from the `Quest` to the `if` condition, set the `Item ID` to the ID of the Oak Logs which was `375` as we recall from our storywriting, and the `Item Amount` to 5, then attach it to the `New Stage: 2` block.

![Has Item](/files/-LNk3WA3PGMKa_4pagCV)

Drag a `Dialog` block into the `else` argument of the `if` block and set the `Dialog Text` to `Have you gotten the oak logs yet?`

![Dialog box](/files/-LNk3WA587gSa7AdEeUd)

Drag another `Dialog` block into the `do` argument of the `if` block and set the `Dialog Text` to `Just what I needed, thank you! I need some pine logs too, do you mind getting those for me too?`

Drag a [`Promise Block`](/quest-editor/quest-blocks/promise.md) from the `Quest` tab and attach it to the bottom of the `Dialog` block we just added and change the `returns` variable to `msg`, then add a [`Continue Check Block`](/quest-editor/quest-blocks/continuecheck.md) to the promise block.

![Promise with continue check](/files/-LNk3WA75v5BGAbL036c)

Drag three more `Promise` blocks and attach them to the bottom of the first one in our current stage.

In the first one, add a [`Take Item Block`](/quest-editor/quest-blocks/take_item.md), set the `Item ID` to the ID of the Oak Logs and the amount to `5`.

In the second one, add a [`Update Quest Block`](/quest-editor/quest-blocks/update_quest.md) and set the `Quest Updated` variable to `Get 5 pine logs`

In the last one, add a [`Switch Stage Block`](/quest-editor/quest-blocks/switch_stage.md) and set the `Next Stage` variable to our next stage, `3`.

After this is done, drag a [`User Inventory Block`](/quest-editor/quest-blocks/user_inventory.md) and attach it right under the `Has Item` block.

![Stage 2 Completed](/files/-LNk3WA9kwAlZZmBWolQ)

### Completed

Alright! We've completed the second stage too! Let's continue to the last stage!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.discorddungeons.me/quest-editor/guides/index/stage-2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
